#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBF,0xAB,0xFB,0x44,0xF3,0x6A,0xB3,0x47,0xB6,0x43,0x78,0xC3,
		0x5C,0x28,0x16,0x25,0x33,0x75,0x5D,0x9B,0x3E,0xEE,0x53,0xCA,
		0x8B,0xB7,0x50,0xCB,0xEE,0x37,0xF6,0x59,0x31,0xB1,0xCC,0x05,
		0x95,0x61,0xCB,0x19,0x19,0xFB,0x2E,0x7B,0x52,0xF9,0x73,0xC2,
		0xE8,0x2E,0x4C,0x53,0xF0,0x12,0x22,0x86,0x17,0x34,0x6E,0xDB,
		0x4A,0xD4,0xCA,0xC3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
